* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

html {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    height: 100%;
}

body {
    height: 100%;
    margin:0;
}

h1 {
    font-size: 3em;
}

.banner {
    position: fixed;
    align-items: center;
    width:100%;
    height: 40px;
    background-color: #B5C6E7;
    padding-left: 25px;
    font-size: 15pt;
    font-weight: bolder;
    z-index: 2;
}

.acceuil{
    height: 100vh;
    justify-content: center;
    align-items: center;
}

.middle {
    vertical-align: middle;
}

.center {
    text-align: center;
    align-items: center;
}

button {
    text-align: center;
    color: white;
    background-color: #4672C4;
    border-left: solid 2px #C8C8C8;
    border-top: solid 2px #C8C8C8;
    border-right: solid 2px gray;
    border-bottom: solid 2px gray;
    width: 120px;
    height: 40px;
}

#commencer {
    font-weight: bolder;
    font-size: 120%;
    min-width: 192px;
    min-height: 55px;
    height: 5%;
    width: 10%;
}

button:active {
    border-left: solid 2px gray;
    border-top: solid 2px gray;
    border-right: solid 2px #C8C8C8;
    border-bottom: solid 2px #C8C8C8;
    background-color: #355da7;
    color: lightgray;
}

.content {
    padding-top: 30px;
    flex-direction: column;
    align-items: center;
    margin-bottom:20px;
}
/* permet de changer les classes à l'intérieur quand l'écran est plus large que 751px */
@media screen and (min-width: 751px) {
    .content{
        padding-top: 30px;
        margin-bottom: 60px;
        flex-direction: unset;
        align-items: unset;
    }
    .exerciceSection{
        max-width: 250px;
        margin-top: 0;
    }
  }

.flex {
    display: flex;
}

.space-around {
    justify-content: space-around;
}

.space-between{
    justify-content: space-between;
}

.column{
    flex-direction: column;
}

.exerciceSection{
    max-width: 250px;
    margin-top: 30px;
}

.cameraBtn {
    width:250px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.right{
    justify-content: right;
}

.resultContent {
    margin-left: 30px;
}

.results {
    margin-left: 20px;
    margin-bottom: 20px;
}

.bienvenue{
    font-size: 15pt;
    margin-top: 10px;
    margin-bottom: 10px;
}

.consignes{
    font-size: 15pt;
    padding-top: 30px;
    margin-left: 30px;
    margin-right: 30px;
}

.premierElement{
    padding-top: 50px;
}

.code {
    background-color: lightgray;
    border: solid 1px gray;
    max-height: 150px;
    margin-left: 5%;
    margin-right: 10%;
    padding: 5px;
    overflow-y: auto;
    font-family: Consolas;
}

.red{
    color:red;
}

.green {
    color:rgb(0, 255, 0);
}

.nextBtn {
    margin-right: 5%;
    margin-left: 10px;
}

.nowrap{
    white-space: nowrap;
}